<!DOCTYPE html>
<html>
    @include('DrpAdmin::partials.html-header')
    <body class="{{ config('drpadmin.skin') }}">
        <div class="wrapper">
            @include('DrpAdmin::partials.header')
            @include('DrpAdmin::partials.sidebar')
            <div class="content-wrapper">
                <section class="content-header">
                    <h1>
                        {{ $pageTitle or "Page Title" }}
                        <small>{{ $pageDescription or null }}</small>
                    </h1>
                </section>

                <section class="content">
                    @if (isset($success) && $success != '')
                        <div class="alert alert-success alert-dismissable">
                    @else
                        <div class="alert alert-success alert-dismissable hidden">
                        <?php $success = ''; ?>
                    @endif
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <h4>
                            <i class="icon fa fa-check"></i> Success!
                        </h4>
                        <p>
                            {{ $success }}
                        </p>
                    </div>
                    @if (isset($errors) && count($errors) > 0)
                        <div class="alert alert-danger alert-dismissable">
                    @else
                        <div class="alert alert-danger alert-dismissable hidden">
                        <?php $errors = []; ?>
                    @endif
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>
                        <i class="icon fa fa-ban"></i><strong>Whoops!</strong> There were some problems with your input.
                    </h4>
                    <p>
                        @if (is_a($errors, 'Illuminate\Support\ViewErrorBag'))
                            @foreach($errors->getMessages() as $error)
                                <li>
                                    {!! implode(' ', $error) !!}
                                </li>
                            @endforeach
                        @else
                            @foreach(array_flatten($errors) as $error)
                                <li>
                                    {!! $error !!}
                                </li>
                            @endforeach
                        @endif
                    </p>
                    </div>
                    @yield('content')
                </section>
            </div>
            @include('DrpAdmin::partials.footer')
        </div>
        @include('DrpAdmin::partials.scripts')
    </body>
</html>
